# odmantic_odm_factory

class polyfactory.factories.odmantic_odm_factory.OdmanticModelFactory

  Bases: `Generic`[`T`], `ModelFactory`[`T`]

  Base factory for odmantic models

  __is_base_factory__: bool = True

    Flag dictating whether the factory is a ‘base’ factory. Base factories are registered globally as handlers for types. For example, the ‘DataclassFactory’, ‘TypedDictFactory’ and ‘ModelFactory’ are all base factories.

  classmethod is_supported_type(value: Any) → TypeGuard[type[T]]

    Determine whether the given value is supported by the factory.

    Parameters:

      value – An arbitrary value.

    Returns:

      A typeguard

  classmethod get_provider_map() → dict[Any, Callable[[], Any]]

    Map types to callables.

    Notes:

      - This method is distinct to allow overriding.

    Returns:

      a dictionary mapping types to callables.